<?xml version="1.0" encoding="UTF-8"?><MTRASSGRP desc_eng="Master Assess Table" desc_thai="ทะเบียนรายละเอียดการประเมินผล" editcheck="true" mainhelp="MTRASSGRPHELP" referhelp="MTRASSGRPHELP" mainkey="ASID" fieldsystem="*" deleteflag="true" config_field="" protype="table">
<FIELD>
	<ASID lang="A" encrypt="false" log="false" type="String">
		<KEY>1</KEY>
		<WIDTH>15</WIDTH>
		<DESC_ENG>Assess Code</DESC_ENG>
		<DESC_THAI>รหัสหัวข้อประเมิน</DESC_THAI>
		<COMPONENT type="Text">
			<SIZE>15</SIZE>
			<MAXSIZE>15</MAXSIZE>
			<ALT_ENG>Assess Code</ALT_ENG>
			<ALT_THAI>รหัสหัวข้อประเมิน</ALT_THAI>
		</COMPONENT>
	<REQUIRE>true</REQUIRE>
	</ASID>
	<ASGID lang="A" encrypt="false" log="false" type="String">
		<WIDTH>10</WIDTH>
		<DESC_ENG>Asgroup Code</DESC_ENG>
		<DESC_THAI>รหัสกลุ่มหัวข้อประเมิน</DESC_THAI>
		<COMPONENT type="Text">
			<SIZE>10</SIZE>
			<MAXSIZE>10</MAXSIZE>
			<ALT_ENG>Asgroup Code</ALT_ENG>
			<ALT_THAI>รหัสกลุ่มหัวข้อประเมิน</ALT_THAI>
		</COMPONENT>
	<RELATION>MTRASSGRP_SUP</RELATION>
	<REQUIRE>true</REQUIRE>
	</ASGID>
	<ASNECESSARY lang="A" encrypt="false" log="false" type="String">
		<WIDTH>1</WIDTH>
		<DESC_ENG>Necessary</DESC_ENG>
		<DESC_THAI>สถานะหัวข้อประเมิน </DESC_THAI>
		<COMPONENT type="radio">
			<SIZE>3</SIZE>
			<VALIDCODE>ASSNEC</VALIDCODE>
			<MAXSIZE>1</MAXSIZE>
			<ALT_ENG>Necessary</ALT_ENG>
			<ALT_THAI>สถานะหัวข้อประเมิน </ALT_THAI>
		</COMPONENT>
	<REQUIRE>true</REQUIRE>
	</ASNECESSARY>
	<ASWEIGHT lang="A" encrypt="false" log="false" type="Double">
		<WIDTH>10</WIDTH>
		<DESC_ENG>Weight</DESC_ENG>
		<DESC_THAI>น้ำหนัก </DESC_THAI>
		<COMPONENT type="Text">
			<SIZE>5</SIZE>
			<MAXSIZE>5</MAXSIZE>
			<ALT_ENG>Weight</ALT_ENG>
			<ALT_THAI>น้ำหนัก </ALT_THAI>
		</COMPONENT>
	<REQUIRE>true</REQUIRE>
	</ASWEIGHT>
	<ASACTIVE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Status</DESC_ENG>
			<DESC_THAI>สถานะ</DESC_THAI>
			<!-- ยังขาด valid code-->
			<COMPONENT type="Text">
				<SIZE>3</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<ALT_ENG>Status</ALT_ENG>
				<ALT_THAI>สถานะ</ALT_THAI>
			</COMPONENT>
		</ASACTIVE>
	<PSTID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Perspective</DESC_ENG>
			<DESC_THAI>รหัสมุมมอง</DESC_THAI>
			<!-- ยังขาด RELATION-->
			<!--<RELATION>MPERSPECTIVE</RELATION> -->
			<COMPONENT type="Text">
				<SIZE>10</SIZE>
				<MAXSIZE>10</MAXSIZE>
				<ALT_ENG>Perspective</ALT_ENG>
				<ALT_THAI>รหัสมุมมอง</ALT_THAI>
			</COMPONENT>
		</PSTID>
	<TDESC lang="T" encrypt="false" verify="false" log="false" type="String">
			<REFER_LANG>EDESC</REFER_LANG>
			<WIDTH>2000</WIDTH>
			<DESC_ENG>Description(Thai)</DESC_ENG>
			<DESC_THAI>รายละเอียด(ไทย)</DESC_THAI>
			<COMPONENT type="TEXTAREA">
				<ALT_ENG>Description(Thai)</ALT_ENG>
				<ALT_THAI>รายละเอียด(ไทย)</ALT_THAI>
				<LINES>5</LINES>
				<SIZECHAR>60</SIZECHAR>
			</COMPONENT>
		</TDESC>
	<EDESC lang="E" encrypt="false" verify="false" log="false" type="String">
			<REFER_LANG>TDESC</REFER_LANG>
			<WIDTH>2000</WIDTH>
			<DESC_ENG>Description(Eng)</DESC_ENG>
			<DESC_THAI>รายละเอียด(อังกฤษ)</DESC_THAI>
			<COMPONENT type="TEXTAREA">
				<ALT_ENG>Description(Eng)</ALT_ENG>
				<ALT_THAI>รายละเอียด(อังกฤษ)</ALT_THAI>
				<LINES>5</LINES>
				<SIZECHAR>60</SIZECHAR>
		</COMPONENT>
	</EDESC>
	<KASID lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>15</WIDTH>
			<DESC_ENG>KC Code</DESC_ENG>
			<DESC_THAI>รหัส KC/KPI</DESC_THAI>
			<RELATION>MKEYASS</RELATION>
			<HELP_RETURN_FIELD>true</HELP_RETURN_FIELD>
			<COMPONENT type="Text">
						<!--HELP>AS02HELP4</HELP-->
				<SIZE>10</SIZE>
				<MAXSIZE>15</MAXSIZE>
				<ALT_ENG>KC Code</ALT_ENG>
				<ALT_THAI>รหัส KC/KPI</ALT_THAI>
			</COMPONENT>
		</KASID>
	<ASOBJECT lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>5000</WIDTH>
			<DESC_ENG>Object</DESC_ENG>
			<DESC_THAI>วัตถุประสงค์</DESC_THAI>
			<COMPONENT type="TEXTAREA">
				<LINES>5</LINES>
				<SIZECHAR>60</SIZECHAR>
				<ALT_ENG>Object</ALT_ENG>
				<ALT_THAI>วัตถุประสงค์</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</ASOBJECT>
	<ASSUGGEST lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>5000</WIDTH>
			<DESC_ENG>Suggest</DESC_ENG>
			<DESC_THAI>ข้อแนะนำ</DESC_THAI>
			<COMPONENT type="TEXTAREA">
				<LINES>5</LINES>
				<SIZECHAR>60</SIZECHAR>
				<ALT_ENG>Suggest</ALT_ENG>
				<ALT_THAI>ข้อแนะนำ</ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</ASSUGGEST>
	<ASTYPE lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Astype</DESC_ENG>
			<DESC_THAI>ประเภทหัวข้อ </DESC_THAI>
			<COMPONENT type="radio">
				<SIZE>3</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<VALIDCODE>ASSTYPE</VALIDCODE>
				<ALT_ENG>Astype</ALT_ENG>
				<ALT_THAI>ประเภทหัวข้อ </ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</ASTYPE>
	<ASANSWER lang="A" encrypt="false" verify="false" log="false" type="Integer">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Answer No</DESC_ENG>
			<DESC_THAI>จำนวนคำตอบที่สามารถเลือกได้ </DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Answer No</ALT_ENG>
				<ALT_THAI>จำนวนคำตอบที่สามารถเลือกได้ </ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</ASANSWER>
	<ASDEFAULTSCORE lang="A" encrypt="false" verify="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Default Score</DESC_ENG>
			<DESC_THAI>คะแนนมาตรฐาน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Default Score</ALT_ENG>
				<ALT_THAI>คะแนนมาตรฐาน </ALT_THAI>
			</COMPONENT>
		</ASDEFAULTSCORE>
	<ASSTATUS lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>1</WIDTH>
			<DESC_ENG>Status</DESC_ENG>
			<DESC_THAI>สถานะการใช้งาน </DESC_THAI>
			<COMPONENT type="radio">
				<SIZE>3</SIZE>
				<MAXSIZE>1</MAXSIZE>
				<ALT_ENG>Status</ALT_ENG>
				<ALT_THAI>สถานะการใช้งาน </ALT_THAI>
				<VALIDCODE>ASSSTATUS</VALIDCODE>
				<ONCLICK>chkAsstatus();</ONCLICK>
				<DEFAULTVALUE>0</DEFAULTVALUE>
			</COMPONENT>
		</ASSTATUS>
	<ASCONDITION lang="A" encrypt="false" verify="false" log="false" type="String">
			<WIDTH>256</WIDTH>
			<DESC_ENG>Condition</DESC_ENG>
			<DESC_THAI>การหาค่าคะแนนจากที่อื่น </DESC_THAI>
			<COMPONENT type="TEXTAREA">
				<LINES>5</LINES>
				<SIZECHAR>60</SIZECHAR>
				<ALT_ENG>Condition</ALT_ENG>
				<ALT_THAI>การหาค่าคะแนนจากที่อื่น </ALT_THAI>
			</COMPONENT>
		</ASCONDITION>
	<ASSTSTART lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>12</WIDTH>
			<DESC_ENG>Start Date</DESC_ENG>
			<DESC_THAI>วันเริ่มใช้งานหัวข้อประเมิน </DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>12</SIZE>
				<MAXSIZE>12</MAXSIZE>
				<ALT_ENG>Start Date</ALT_ENG>
				<ALT_THAI>วันเริ่มใช้งานหัวข้อประเมิน </ALT_THAI>
			</COMPONENT>
		</ASSTSTART>
	<ASSTEND lang="A" encrypt="false" verify="false" log="false" type="Date">
			<WIDTH>12</WIDTH>
			<DESC_ENG>Asstend</DESC_ENG>
			<DESC_THAI>วันหมดอายุหัวข้อประเมิน</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>12</SIZE>
				<MAXSIZE>12</MAXSIZE>
				<ALT_ENG>Asstend</ALT_ENG>
				<ALT_THAI>วันหมดอายุหัวข้อประเมิน</ALT_THAI>
			</COMPONENT>
		</ASSTEND>
	<ASMAXSCORE lang="A" encrypt="false" verify="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Max Score</DESC_ENG>
			<DESC_THAI>คะแนนสูงสุด </DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Max Score</ALT_ENG>
				<ALT_THAI>คะแนนสูงสุด </ALT_THAI>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</ASMAXSCORE>
	<ASMINSCORE lang="A" encrypt="false" verify="false" log="false" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Min Score</DESC_ENG>
			<DESC_THAI>คะแนนต่ำสุด </DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>5</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Min Score</ALT_ENG>
				<ALT_THAI>คะแนนต่ำสุด </ALT_THAI>
				<ONKEYPRESS>javascript:chkBigDecimal(this)</ONKEYPRESS>
				<REQUIRE>true</REQUIRE>
			</COMPONENT>
		</ASMINSCORE>
		<COMPANYID lang="A" encrypt="false" verify="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company Code</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="Text">
				<SIZE>7</SIZE>
				<MAXSIZE>5</MAXSIZE>
				<ALT_ENG>Company Code</ALT_ENG>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
			</COMPONENT>
		</COMPANYID>
	</FIELD>
	<RELATION>
		<MASANSWER insertlevel="0" deletelevel="1">
			<PARENT>MTRASSGRP.ASID</PARENT>
			<PARENT>MTRASSGRP.COMPANYID</PARENT>
			<CHILD>MASANSWER.ASID</CHILD>
			<CHILD>MASANSWER.COMPANYID</CHILD>
		</MASANSWER>
		<MKC_ASSESS mode="-1">
			<PARENT>MTRASSGRP.ASID</PARENT>
			<PARENT>MTRASSGRP.COMPANYID</PARENT>
			<CHILD>MKC_ASSESS.ASID</CHILD>
			<CHILD>MKC_ASSESS.COMPANYID</CHILD>
		</MKC_ASSESS>
		<MKPI_ASSESS mode="-1">
			<PARENT>MTRASSGRP.ASID</PARENT>
			<PARENT>MTRASSGRP.COMPANYID</PARENT>
			<CHILD>MKPI_ASSESS.ASID</CHILD>
			<CHILD>MKPI_ASSESS.COMPANYID</CHILD>
		</MKPI_ASSESS>
	</RELATION>
</MTRASSGRP>
